#include <stdio.h>
#include <queue>
#define MAX 1000000

using namespace std;

int n, k;
int br = 0;
int niz[MAX];
int pomNiz[MAX];
int a[MAX];

void setNiz(int n)
{
    int i = 0;
    int j = 2*n;
    int pom = n;
    while(i < n && j > n)
    {
        niz[i++] = -pom;
        niz[j--] = pom;
        --pom;
    }
}

void setPomNiz(int n)
{
    for(int i = 0; i < n; ++i)
    {
        for(int j = 0; j <= 2*n; ++j)
        {
            if(a[i] == niz[j])
            {
                pomNiz[j] += 1;
                break;
            }
        }
    }
}

void pronadji(int n, int k)
{
    queue <int> s;
    for(int i = 0; i <= 2*n; ++i)
    {
        if(pomNiz[i] >= k)
        {
            ++br;
            s.push(niz[i]);
        }
    }

    printf("%i\n", br);
    while (!s.empty())
    {
        printf("%i ", s.front());
        s.pop();
    }
}

int main()
{
    int i = 0;
    scanf("%i %i", &n, &k);
    setNiz(n);
    for(i = 0; i < n; ++i)
    {
        scanf("%i", &a[i]);
    }
    setPomNiz(n);
    pronadji(n, k);

}